/*
 * @Author: wufan
 * @Date: 2020-11-25 18:25:02
 * @LastEditors: zangsuyun
 * @LastEditTime: 2021-03-22 13:58:04
 * @Description: Description
 * @@Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 */
import {
  fetchLecturerData, getCategoryTree, knowledgeMediaCoursePage, fetchUserData, exportStudentCourseData, exportPlayBackCourseData, fetchPlaybackList, createLiveCloudCourse, getLiveCloudCoursePage,
  getLiveCloudCourseDetail, updateLiveCloudCourse, turnOnOrOffLiveCloudCourse, delLiveCloudCourse, changeVideoShelfState, createVideoSchedule, delVideoSchedule,
  editVideoSchedule, userWatchInfo, videoSchedulePage, videoScheduleDetail, videoWatchInfo, getQrcode, getLiveCloudCourseBasePage, videoScheduleBasePage, relatedCourseToPlan
} from '@/data-source/course/request-api';

export default class courseService {
  // 获取讲师上课数据 
  static fetchLecturerData(params: any) {
    return fetchLecturerData(params);
  }

  // 生成二维码 
  static getQrcode(params: any) {
    return getQrcode(params);
  }

  // 获取用户上课数据
  static fetchUserData(params: any) {
    return fetchUserData(params);
  }
  static createLiveCloudCourse(params: any) {
    return createLiveCloudCourse(params);
  }
  static getLiveCloudCoursePage(params: any) {
    return getLiveCloudCoursePage(params);
  }

  // 导出学生上课数据
  static exportStudentCourseData(params: any) {
    return exportStudentCourseData(params);
  }

  // 导出回放数据
  static exportPlayBackCourseData(params: any) {
    return exportPlayBackCourseData(params);
  }

  // 获取回放数据
  static fetchPlaybackList(params: any) {
    return fetchPlaybackList(params);
  }

  static getLiveCloudCourseDetail(params: any) {
    return getLiveCloudCourseDetail(params);
  }
  static updateLiveCloudCourse(params: any) {
    return updateLiveCloudCourse(params);
  }
  static turnOnOrOffLiveCloudCourse(params: any) {
    return turnOnOrOffLiveCloudCourse(params);
  }
  static delLiveCloudCourse(params: any) {
    return delLiveCloudCourse(params);
  }
  static changeVideoShelfState(params: any) {
    return changeVideoShelfState(params);
  }
  static createVideoSchedule(params: any) {
    return createVideoSchedule(params);
  }
  static delVideoSchedule(params: any) {
    return delVideoSchedule(params);
  }
  static editVideoSchedule(params: any) {
    return editVideoSchedule(params);
  }
  static userWatchInfo(params: any) {
    return userWatchInfo(params);
  }
  static videoSchedulePage(params: any) {
    return videoSchedulePage(params);
  }
  static videoScheduleDetail(params: any) {
    return videoScheduleDetail(params);
  }
  static videoWatchInfo(params: any) {
    return videoWatchInfo(params);
  }
  static getLiveCloudCourseBasePage(params: any) {
    return getLiveCloudCourseBasePage(params);
  }
  static videoScheduleBasePage(params: any) {
    return videoScheduleBasePage(params);
  }
  static relatedCourseToPlan(params: any) {
    return relatedCourseToPlan(params);
  }
  static knowledgeMediaCoursePage(params: any) {
    return knowledgeMediaCoursePage(params);
  }
  static getCategoryTree(params: any) {
    return getCategoryTree(params);
  }

}